<?php
	if(!isset($_GET['action']))
	{
		$users = $atom->getAllUsersData();
		
	?>
	<table summary="list of users"><caption>list of <em>aBlog</em>’s users</caption>
	<thead>
		<tr>
			<th>login</th>
			<th>password</th>
			<th>lang</th>
			<th>name</th>
			<th>url</th>
			<th>email</th>
			<th>action</th>
		</tr>
	</thead>
	<tbody>
	<?php
		foreach($users as $key => $user)
		{
	?>
		<tr>
			<td><a href="/atom/<?php echo $key?>"><?php echo $key;?></a></td>
			<td><?php echo pwdDecode($key,$user['password'],$SALT);?></td>
			<td><?php echo $user['name']?></td>
			<td><?php echo $user['lang']?></td>
			<td><?php if(!empty($user['url'])){echo '<a href="'.$user['url'].'">'.$user['url'].'</a>';}else{echo '-';}?></td>
			<td><?php if(!empty($user['email'])){echo emailformat($user['email']);}else{echo '-';}?></td>
			<td>
				<ul>
					<li><a href="?page=user&amp;action=edit&amp;user=<?php echo $key; ?>">edit</a>, </li>
					<li><a href="?page=user&amp;action=del&amp;user=<?php echo $key; ?>" onclick="return confirm('Delete : <?php echo $key; ?> ?\n\n(There is no way to undo this)');">delete</a>, </li>
					<li><a href="?page=feed&amp;user=<?php echo $key;?>">feed</a>.</li>
				</ul>
			</td>
		</tr>
	<?php
		}
	?>
	</tbody></table>
	<p><a href="?page=user&amp;action=new">add an user to list</a></p>
	<?php
	}
	elseif($_GET['action']=='edit' && !empty($_GET['user']))
	{
		$login = $_GET['user'];
		$user = $atom->getUserData($login);
?>
<form method="post" action="?page=user&amp;action=update&amp;user=<?php echo $login;?>">
	<fieldset>
		<legend>Edit user "<?php echo $login;?>"</legend>
		<label>
			name : <input type="text" name="name" value="<?php echo $user['name']?>" />
		</label>
		<label>
			password : <input type="text" name="password" value="<?php echo pwdDecode($login,$user['password'],$SALT);?>" />
		</label>
		<label>
			lang :
			<select name="lang">
				<option value="en"<?php if($user['lang'] == 'en'){echo ' selected=selected';}?>>en</option>
				<option value="fr"<?php if($user['lang'] == 'fr'){echo ' selected=selected';}?>>fr</option>
			</select>
		</label>
		<label>
			url : <input type="text" name="url" value="<?php echo $user['url']?>" />
		</label>
		<label>
			email : <input type="text" name="email" value="<?php echo $user['email']?>" />
		</label>
		<input type="submit" class="submit" value="update user" />
	</fieldset>
</form>
<?php
	}
	elseif($_GET['action']=='update' && !empty($_GET['user']))
	{
		$login = $_GET['user'];
		$_POST['password'] = pwdEncode($login,$_POST['password'],$SALT);
		
		$uservalue = array('password','url','lang','email','name');
		$data = array('login'=>$login);
		
		foreach($_POST as $key => $value)
		{
			if(in_array($key,$uservalue))
			{
				$data[$key] = $_POST[$key];
			}
		}
		
		$atom->setUserData($data);
?>
<p><strong>"<?php echo $login;?>" updated</strong>. <a href="/admin.php">Click here to continue</a>.</p>
<?php
	}
	elseif($_GET['action']=='del' && !empty($_GET['user']))
	{
		$login = $_GET['user'];
		$atom->delUser($login);
?>
<p><strong>"<?php echo $login;?>" deleted</strong>. <a href="/admin.php">Click here to continue</a>.</p>
<?php
	}
	elseif($_GET['action'] == 'new')
	{
?>
<form method="post" action="?page=user&amp;action=add">
	<fieldset>
		<legend>Add user</legend>
		<label>
			name : <input type="text" name="name" />
		</label>
		<label>
			login : <input type="text" name="login" />
		</label>
		<label>
			password : <input type="text" name="password" />
		</label>
		<label>
			lang :
			<select name="lang">
				<option value="en">en</option>
				<option value="fr">fr</option>
			</select>
		</label>
		<label>
			url : <input type="text" name="url" value="http://" />
		</label>
		<label>
			email : <input type="text" name="email" />
		</label>
		<input type="submit" class="submit" value="add user" />
	</fieldset>
</form>
<?php
	}
	elseif($_GET['action'] == 'add')
	{
		$login = $_POST['login'];
		$_POST['password'] = pwdEncode($login,$_POST['password'],$SALT);
		
		$uservalue = array('login','password','lang','url','email','name');
		
		foreach($_POST as $key => $value)
		{
			if(in_array($key,$uservalue))
			{
				$data[$key] = $_POST[$key];
			}
		}
		
		if($atom->addUser($data))
		{
?>
<p><strong>"<?php echo $data['login'];?>" added</strong>. <a href="/admin.php?page=user">Click here to continue</a>.</p>
<?php
		}
		else
		{
?>
<p><strong>error with "<?php echo $data['login'];?>"</strong>, try another login. <a href="/admin.php?page=user&amp;action=new">Click here to go back</a>.</p>
<?php
		}
	}
	else
	{
?>
<p><em>lost ?</em> <a href="/admin.php?page=user">Click here to go back</a>.</p>
<?php
	}
?>
