<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	Fetch entry's data
	==================
	
	Capture all data except the content, title and summary because of "'" caracter
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->

<xsl:output method="text" encoding="utf-8" indent="no" omit-xml-declaration="yes"/>

<!-- variable name returned by php -->
<xsl:param name="varname" select="entry" />

<xsl:template match="/">$<xsl:value-of select="$varname"/> = array(<xsl:apply-templates select="/entry/*" mode="php-entry" />);
</xsl:template>

<xsl:template match="*" mode="php-entry">
	<xsl:if test="not(not(name() = 'issued') * not(name() = 'modified') * not(name() = 'id'))">
		"<xsl:value-of select="name()" />"=>"<xsl:value-of select="." />"<xsl:if test="not(position()=last())"><xsl:if test="not(name() = 'modified')">,</xsl:if></xsl:if>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>