<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	Fetch user
	========
	
	Fetch an user by his login name
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->

<xsl:import href="templates/user.xsl" />

<xsl:output method="text" encoding="utf-8" indent="no" omit-xml-declaration="yes"/>

<!-- user's login -->
<xsl:param name="login" />
<!-- variable name returned to php -->
<xsl:param name="varname" select="user" />

<xsl:template match="/">
	<xsl:apply-templates select="//user[@login=$login]" />
</xsl:template>

<xsl:template match="user">
$<xsl:value-of select="$varname"/>=<xsl:apply-templates select="." mode="php" />;
</xsl:template>

</xsl:stylesheet>